# Generated by Django 4.2.7 on 2023-11-11 20:13

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='AppSettings',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('openai_api_key', models.CharField(blank=True, help_text="Required for AI recommendations.  Get an OpenAI account; google 'openai api key'", max_length=255, null=True)),
                ('base_url', models.CharField(blank=True, help_text='ex: https://exceptbot.com', max_length=255, null=True)),
                ('project_name', models.CharField(blank=True, help_text="The directory name of your project. Ex: 'exceptbot'", max_length=255, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='ExceptionLog',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('url_path', models.TextField()),
                ('exception_type', models.CharField(max_length=255)),
                ('full_error_message', models.TextField(blank=True)),
                ('file_name', models.CharField(max_length=255)),
                ('file_content', models.TextField()),
                ('line_number', models.PositiveIntegerField(blank=True, null=True)),
                ('error_line_content', models.TextField(blank=True)),
                ('timestamp', models.DateTimeField(auto_now_add=True)),
                ('is_resolved', models.BooleanField(default=False)),
                ('resolved_at', models.DateTimeField(blank=True, null=True)),
                ('ai_suggestion', models.TextField(blank=True, null=True)),
                ('resolved_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='resolved_exceptions', to=settings.AUTH_USER_MODEL)),
                ('user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='caused_exceptions', to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
